Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network116.167.192.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
116.167.192.0
Broadcast address
116.167.255.255
First usable
116.167.192.1
Last usable
116.167.255.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
A (default /8)
As numbers
Hex 74A7C000 · Integer 1957150720 to 1957167103
Reverse DNS zones
192.167.116.in-addr.arpa
193.167.116.in-addr.arpa
194.167.116.in-addr.arpa
195.167.116.in-addr.arpa
196.167.116.in-addr.arpa
197.167.116.in-addr.arpa
198.167.116.in-addr.arpa
199.167.116.in-addr.arpa
200.167.116.in-addr.arpa
201.167.116.in-addr.arpa
202.167.116.in-addr.arpa
203.167.116.in-addr.arpa
204.167.116.in-addr.arpa
205.167.116.in-addr.arpa
206.167.116.in-addr.arpa
207.167.116.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01110100.10100111.11000000.00000000116.167.192.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network01110100.10100111.11000000.00000000116.167.192.0
Broadcast01110100.10100111.11111111.11111111116.167.255.255
Split into smaller subnets/30

116.167.192.0/18 makes 4,096 subnets of /30; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1116.167.192.0/30116.167.192.1 to 116.167.192.2116.167.192.32
2116.167.192.4/30116.167.192.5 to 116.167.192.6116.167.192.72
3116.167.192.8/30116.167.192.9 to 116.167.192.10116.167.192.112
4116.167.192.12/30116.167.192.13 to 116.167.192.14116.167.192.152
5116.167.192.16/30116.167.192.17 to 116.167.192.18116.167.192.192
6116.167.192.20/30116.167.192.21 to 116.167.192.22116.167.192.232
7116.167.192.24/30116.167.192.25 to 116.167.192.26116.167.192.272
8116.167.192.28/30116.167.192.29 to 116.167.192.30116.167.192.312
9116.167.192.32/30116.167.192.33 to 116.167.192.34116.167.192.352
10116.167.192.36/30116.167.192.37 to 116.167.192.38116.167.192.392
11116.167.192.40/30116.167.192.41 to 116.167.192.42116.167.192.432
12116.167.192.44/30116.167.192.45 to 116.167.192.46116.167.192.472
13116.167.192.48/30116.167.192.49 to 116.167.192.50116.167.192.512
14116.167.192.52/30116.167.192.53 to 116.167.192.54116.167.192.552
15116.167.192.56/30116.167.192.57 to 116.167.192.58116.167.192.592
16116.167.192.60/30116.167.192.61 to 116.167.192.62116.167.192.632
17116.167.192.64/30116.167.192.65 to 116.167.192.66116.167.192.672
18116.167.192.68/30116.167.192.69 to 116.167.192.70116.167.192.712
19116.167.192.72/30116.167.192.73 to 116.167.192.74116.167.192.752
20116.167.192.76/30116.167.192.77 to 116.167.192.78116.167.192.792
21116.167.192.80/30116.167.192.81 to 116.167.192.82116.167.192.832
22116.167.192.84/30116.167.192.85 to 116.167.192.86116.167.192.872
23116.167.192.88/30116.167.192.89 to 116.167.192.90116.167.192.912
24116.167.192.92/30116.167.192.93 to 116.167.192.94116.167.192.952
25116.167.192.96/30116.167.192.97 to 116.167.192.98116.167.192.992
26116.167.192.100/30116.167.192.101 to 116.167.192.102116.167.192.1032
27116.167.192.104/30116.167.192.105 to 116.167.192.106116.167.192.1072
28116.167.192.108/30116.167.192.109 to 116.167.192.110116.167.192.1112
29116.167.192.112/30116.167.192.113 to 116.167.192.114116.167.192.1152
30116.167.192.116/30116.167.192.117 to 116.167.192.118116.167.192.1192
31116.167.192.120/30116.167.192.121 to 116.167.192.122116.167.192.1232
32116.167.192.124/30116.167.192.125 to 116.167.192.126116.167.192.1272
33116.167.192.128/30116.167.192.129 to 116.167.192.130116.167.192.1312
34116.167.192.132/30116.167.192.133 to 116.167.192.134116.167.192.1352
35116.167.192.136/30116.167.192.137 to 116.167.192.138116.167.192.1392
36116.167.192.140/30116.167.192.141 to 116.167.192.142116.167.192.1432
37116.167.192.144/30116.167.192.145 to 116.167.192.146116.167.192.1472
38116.167.192.148/30116.167.192.149 to 116.167.192.150116.167.192.1512
39116.167.192.152/30116.167.192.153 to 116.167.192.154116.167.192.1552
40116.167.192.156/30116.167.192.157 to 116.167.192.158116.167.192.1592
41116.167.192.160/30116.167.192.161 to 116.167.192.162116.167.192.1632
42116.167.192.164/30116.167.192.165 to 116.167.192.166116.167.192.1672
43116.167.192.168/30116.167.192.169 to 116.167.192.170116.167.192.1712
44116.167.192.172/30116.167.192.173 to 116.167.192.174116.167.192.1752
45116.167.192.176/30116.167.192.177 to 116.167.192.178116.167.192.1792
46116.167.192.180/30116.167.192.181 to 116.167.192.182116.167.192.1832
47116.167.192.184/30116.167.192.185 to 116.167.192.186116.167.192.1872
48116.167.192.188/30116.167.192.189 to 116.167.192.190116.167.192.1912
49116.167.192.192/30116.167.192.193 to 116.167.192.194116.167.192.1952
50116.167.192.196/30116.167.192.197 to 116.167.192.198116.167.192.1992
51116.167.192.200/30116.167.192.201 to 116.167.192.202116.167.192.2032
52116.167.192.204/30116.167.192.205 to 116.167.192.206116.167.192.2072
53116.167.192.208/30116.167.192.209 to 116.167.192.210116.167.192.2112
54116.167.192.212/30116.167.192.213 to 116.167.192.214116.167.192.2152
55116.167.192.216/30116.167.192.217 to 116.167.192.218116.167.192.2192
56116.167.192.220/30116.167.192.221 to 116.167.192.222116.167.192.2232
57116.167.192.224/30116.167.192.225 to 116.167.192.226116.167.192.2272
58116.167.192.228/30116.167.192.229 to 116.167.192.230116.167.192.2312
59116.167.192.232/30116.167.192.233 to 116.167.192.234116.167.192.2352
60116.167.192.236/30116.167.192.237 to 116.167.192.238116.167.192.2392
61116.167.192.240/30116.167.192.241 to 116.167.192.242116.167.192.2432
62116.167.192.244/30116.167.192.245 to 116.167.192.246116.167.192.2472
63116.167.192.248/30116.167.192.249 to 116.167.192.250116.167.192.2512
64116.167.192.252/30116.167.192.253 to 116.167.192.254116.167.192.2552
65116.167.193.0/30116.167.193.1 to 116.167.193.2116.167.193.32
66116.167.193.4/30116.167.193.5 to 116.167.193.6116.167.193.72
67116.167.193.8/30116.167.193.9 to 116.167.193.10116.167.193.112
68116.167.193.12/30116.167.193.13 to 116.167.193.14116.167.193.152
69116.167.193.16/30116.167.193.17 to 116.167.193.18116.167.193.192
70116.167.193.20/30116.167.193.21 to 116.167.193.22116.167.193.232
71116.167.193.24/30116.167.193.25 to 116.167.193.26116.167.193.272
72116.167.193.28/30116.167.193.29 to 116.167.193.30116.167.193.312
73116.167.193.32/30116.167.193.33 to 116.167.193.34116.167.193.352
74116.167.193.36/30116.167.193.37 to 116.167.193.38116.167.193.392
75116.167.193.40/30116.167.193.41 to 116.167.193.42116.167.193.432
76116.167.193.44/30116.167.193.45 to 116.167.193.46116.167.193.472
77116.167.193.48/30116.167.193.49 to 116.167.193.50116.167.193.512
78116.167.193.52/30116.167.193.53 to 116.167.193.54116.167.193.552
79116.167.193.56/30116.167.193.57 to 116.167.193.58116.167.193.592
80116.167.193.60/30116.167.193.61 to 116.167.193.62116.167.193.632
81116.167.193.64/30116.167.193.65 to 116.167.193.66116.167.193.672
82116.167.193.68/30116.167.193.69 to 116.167.193.70116.167.193.712
83116.167.193.72/30116.167.193.73 to 116.167.193.74116.167.193.752
84116.167.193.76/30116.167.193.77 to 116.167.193.78116.167.193.792
85116.167.193.80/30116.167.193.81 to 116.167.193.82116.167.193.832
86116.167.193.84/30116.167.193.85 to 116.167.193.86116.167.193.872
87116.167.193.88/30116.167.193.89 to 116.167.193.90116.167.193.912
88116.167.193.92/30116.167.193.93 to 116.167.193.94116.167.193.952
89116.167.193.96/30116.167.193.97 to 116.167.193.98116.167.193.992
90116.167.193.100/30116.167.193.101 to 116.167.193.102116.167.193.1032
91116.167.193.104/30116.167.193.105 to 116.167.193.106116.167.193.1072
92116.167.193.108/30116.167.193.109 to 116.167.193.110116.167.193.1112
93116.167.193.112/30116.167.193.113 to 116.167.193.114116.167.193.1152
94116.167.193.116/30116.167.193.117 to 116.167.193.118116.167.193.1192
95116.167.193.120/30116.167.193.121 to 116.167.193.122116.167.193.1232
96116.167.193.124/30116.167.193.125 to 116.167.193.126116.167.193.1272
97116.167.193.128/30116.167.193.129 to 116.167.193.130116.167.193.1312
98116.167.193.132/30116.167.193.133 to 116.167.193.134116.167.193.1352
99116.167.193.136/30116.167.193.137 to 116.167.193.138116.167.193.1392
100116.167.193.140/30116.167.193.141 to 116.167.193.142116.167.193.1432
101116.167.193.144/30116.167.193.145 to 116.167.193.146116.167.193.1472
102116.167.193.148/30116.167.193.149 to 116.167.193.150116.167.193.1512
103116.167.193.152/30116.167.193.153 to 116.167.193.154116.167.193.1552
104116.167.193.156/30116.167.193.157 to 116.167.193.158116.167.193.1592
105116.167.193.160/30116.167.193.161 to 116.167.193.162116.167.193.1632
106116.167.193.164/30116.167.193.165 to 116.167.193.166116.167.193.1672
107116.167.193.168/30116.167.193.169 to 116.167.193.170116.167.193.1712
108116.167.193.172/30116.167.193.173 to 116.167.193.174116.167.193.1752
109116.167.193.176/30116.167.193.177 to 116.167.193.178116.167.193.1792
110116.167.193.180/30116.167.193.181 to 116.167.193.182116.167.193.1832
111116.167.193.184/30116.167.193.185 to 116.167.193.186116.167.193.1872
112116.167.193.188/30116.167.193.189 to 116.167.193.190116.167.193.1912
113116.167.193.192/30116.167.193.193 to 116.167.193.194116.167.193.1952
114116.167.193.196/30116.167.193.197 to 116.167.193.198116.167.193.1992
115116.167.193.200/30116.167.193.201 to 116.167.193.202116.167.193.2032
116116.167.193.204/30116.167.193.205 to 116.167.193.206116.167.193.2072
117116.167.193.208/30116.167.193.209 to 116.167.193.210116.167.193.2112
118116.167.193.212/30116.167.193.213 to 116.167.193.214116.167.193.2152
119116.167.193.216/30116.167.193.217 to 116.167.193.218116.167.193.2192
120116.167.193.220/30116.167.193.221 to 116.167.193.222116.167.193.2232
121116.167.193.224/30116.167.193.225 to 116.167.193.226116.167.193.2272
122116.167.193.228/30116.167.193.229 to 116.167.193.230116.167.193.2312
123116.167.193.232/30116.167.193.233 to 116.167.193.234116.167.193.2352
124116.167.193.236/30116.167.193.237 to 116.167.193.238116.167.193.2392
125116.167.193.240/30116.167.193.241 to 116.167.193.242116.167.193.2432
126116.167.193.244/30116.167.193.245 to 116.167.193.246116.167.193.2472
127116.167.193.248/30116.167.193.249 to 116.167.193.250116.167.193.2512
128116.167.193.252/30116.167.193.253 to 116.167.193.254116.167.193.2552
129116.167.194.0/30116.167.194.1 to 116.167.194.2116.167.194.32
130116.167.194.4/30116.167.194.5 to 116.167.194.6116.167.194.72
131116.167.194.8/30116.167.194.9 to 116.167.194.10116.167.194.112
132116.167.194.12/30116.167.194.13 to 116.167.194.14116.167.194.152
133116.167.194.16/30116.167.194.17 to 116.167.194.18116.167.194.192
134116.167.194.20/30116.167.194.21 to 116.167.194.22116.167.194.232
135116.167.194.24/30116.167.194.25 to 116.167.194.26116.167.194.272
136116.167.194.28/30116.167.194.29 to 116.167.194.30116.167.194.312
137116.167.194.32/30116.167.194.33 to 116.167.194.34116.167.194.352
138116.167.194.36/30116.167.194.37 to 116.167.194.38116.167.194.392
139116.167.194.40/30116.167.194.41 to 116.167.194.42116.167.194.432
140116.167.194.44/30116.167.194.45 to 116.167.194.46116.167.194.472
141116.167.194.48/30116.167.194.49 to 116.167.194.50116.167.194.512
142116.167.194.52/30116.167.194.53 to 116.167.194.54116.167.194.552
143116.167.194.56/30116.167.194.57 to 116.167.194.58116.167.194.592
144116.167.194.60/30116.167.194.61 to 116.167.194.62116.167.194.632
145116.167.194.64/30116.167.194.65 to 116.167.194.66116.167.194.672
146116.167.194.68/30116.167.194.69 to 116.167.194.70116.167.194.712
147116.167.194.72/30116.167.194.73 to 116.167.194.74116.167.194.752
148116.167.194.76/30116.167.194.77 to 116.167.194.78116.167.194.792
149116.167.194.80/30116.167.194.81 to 116.167.194.82116.167.194.832
150116.167.194.84/30116.167.194.85 to 116.167.194.86116.167.194.872
151116.167.194.88/30116.167.194.89 to 116.167.194.90116.167.194.912
152116.167.194.92/30116.167.194.93 to 116.167.194.94116.167.194.952
153116.167.194.96/30116.167.194.97 to 116.167.194.98116.167.194.992
154116.167.194.100/30116.167.194.101 to 116.167.194.102116.167.194.1032
155116.167.194.104/30116.167.194.105 to 116.167.194.106116.167.194.1072
156116.167.194.108/30116.167.194.109 to 116.167.194.110116.167.194.1112
157116.167.194.112/30116.167.194.113 to 116.167.194.114116.167.194.1152
158116.167.194.116/30116.167.194.117 to 116.167.194.118116.167.194.1192
159116.167.194.120/30116.167.194.121 to 116.167.194.122116.167.194.1232
160116.167.194.124/30116.167.194.125 to 116.167.194.126116.167.194.1272
161116.167.194.128/30116.167.194.129 to 116.167.194.130116.167.194.1312
162116.167.194.132/30116.167.194.133 to 116.167.194.134116.167.194.1352
163116.167.194.136/30116.167.194.137 to 116.167.194.138116.167.194.1392
164116.167.194.140/30116.167.194.141 to 116.167.194.142116.167.194.1432
165116.167.194.144/30116.167.194.145 to 116.167.194.146116.167.194.1472
166116.167.194.148/30116.167.194.149 to 116.167.194.150116.167.194.1512
167116.167.194.152/30116.167.194.153 to 116.167.194.154116.167.194.1552
168116.167.194.156/30116.167.194.157 to 116.167.194.158116.167.194.1592
169116.167.194.160/30116.167.194.161 to 116.167.194.162116.167.194.1632
170116.167.194.164/30116.167.194.165 to 116.167.194.166116.167.194.1672
171116.167.194.168/30116.167.194.169 to 116.167.194.170116.167.194.1712
172116.167.194.172/30116.167.194.173 to 116.167.194.174116.167.194.1752
173116.167.194.176/30116.167.194.177 to 116.167.194.178116.167.194.1792
174116.167.194.180/30116.167.194.181 to 116.167.194.182116.167.194.1832
175116.167.194.184/30116.167.194.185 to 116.167.194.186116.167.194.1872
176116.167.194.188/30116.167.194.189 to 116.167.194.190116.167.194.1912
177116.167.194.192/30116.167.194.193 to 116.167.194.194116.167.194.1952
178116.167.194.196/30116.167.194.197 to 116.167.194.198116.167.194.1992
179116.167.194.200/30116.167.194.201 to 116.167.194.202116.167.194.2032
180116.167.194.204/30116.167.194.205 to 116.167.194.206116.167.194.2072
181116.167.194.208/30116.167.194.209 to 116.167.194.210116.167.194.2112
182116.167.194.212/30116.167.194.213 to 116.167.194.214116.167.194.2152
183116.167.194.216/30116.167.194.217 to 116.167.194.218116.167.194.2192
184116.167.194.220/30116.167.194.221 to 116.167.194.222116.167.194.2232
185116.167.194.224/30116.167.194.225 to 116.167.194.226116.167.194.2272
186116.167.194.228/30116.167.194.229 to 116.167.194.230116.167.194.2312
187116.167.194.232/30116.167.194.233 to 116.167.194.234116.167.194.2352
188116.167.194.236/30116.167.194.237 to 116.167.194.238116.167.194.2392
189116.167.194.240/30116.167.194.241 to 116.167.194.242116.167.194.2432
190116.167.194.244/30116.167.194.245 to 116.167.194.246116.167.194.2472
191116.167.194.248/30116.167.194.249 to 116.167.194.250116.167.194.2512
192116.167.194.252/30116.167.194.253 to 116.167.194.254116.167.194.2552
193116.167.195.0/30116.167.195.1 to 116.167.195.2116.167.195.32
194116.167.195.4/30116.167.195.5 to 116.167.195.6116.167.195.72
195116.167.195.8/30116.167.195.9 to 116.167.195.10116.167.195.112
196116.167.195.12/30116.167.195.13 to 116.167.195.14116.167.195.152
197116.167.195.16/30116.167.195.17 to 116.167.195.18116.167.195.192
198116.167.195.20/30116.167.195.21 to 116.167.195.22116.167.195.232
199116.167.195.24/30116.167.195.25 to 116.167.195.26116.167.195.272
200116.167.195.28/30116.167.195.29 to 116.167.195.30116.167.195.312
201116.167.195.32/30116.167.195.33 to 116.167.195.34116.167.195.352
202116.167.195.36/30116.167.195.37 to 116.167.195.38116.167.195.392
203116.167.195.40/30116.167.195.41 to 116.167.195.42116.167.195.432
204116.167.195.44/30116.167.195.45 to 116.167.195.46116.167.195.472
205116.167.195.48/30116.167.195.49 to 116.167.195.50116.167.195.512
206116.167.195.52/30116.167.195.53 to 116.167.195.54116.167.195.552
207116.167.195.56/30116.167.195.57 to 116.167.195.58116.167.195.592
208116.167.195.60/30116.167.195.61 to 116.167.195.62116.167.195.632
209116.167.195.64/30116.167.195.65 to 116.167.195.66116.167.195.672
210116.167.195.68/30116.167.195.69 to 116.167.195.70116.167.195.712
211116.167.195.72/30116.167.195.73 to 116.167.195.74116.167.195.752
212116.167.195.76/30116.167.195.77 to 116.167.195.78116.167.195.792
213116.167.195.80/30116.167.195.81 to 116.167.195.82116.167.195.832
214116.167.195.84/30116.167.195.85 to 116.167.195.86116.167.195.872
215116.167.195.88/30116.167.195.89 to 116.167.195.90116.167.195.912
216116.167.195.92/30116.167.195.93 to 116.167.195.94116.167.195.952
217116.167.195.96/30116.167.195.97 to 116.167.195.98116.167.195.992
218116.167.195.100/30116.167.195.101 to 116.167.195.102116.167.195.1032
219116.167.195.104/30116.167.195.105 to 116.167.195.106116.167.195.1072
220116.167.195.108/30116.167.195.109 to 116.167.195.110116.167.195.1112
221116.167.195.112/30116.167.195.113 to 116.167.195.114116.167.195.1152
222116.167.195.116/30116.167.195.117 to 116.167.195.118116.167.195.1192
223116.167.195.120/30116.167.195.121 to 116.167.195.122116.167.195.1232
224116.167.195.124/30116.167.195.125 to 116.167.195.126116.167.195.1272
225116.167.195.128/30116.167.195.129 to 116.167.195.130116.167.195.1312
226116.167.195.132/30116.167.195.133 to 116.167.195.134116.167.195.1352
227116.167.195.136/30116.167.195.137 to 116.167.195.138116.167.195.1392
228116.167.195.140/30116.167.195.141 to 116.167.195.142116.167.195.1432
229116.167.195.144/30116.167.195.145 to 116.167.195.146116.167.195.1472
230116.167.195.148/30116.167.195.149 to 116.167.195.150116.167.195.1512
231116.167.195.152/30116.167.195.153 to 116.167.195.154116.167.195.1552
232116.167.195.156/30116.167.195.157 to 116.167.195.158116.167.195.1592
233116.167.195.160/30116.167.195.161 to 116.167.195.162116.167.195.1632
234116.167.195.164/30116.167.195.165 to 116.167.195.166116.167.195.1672
235116.167.195.168/30116.167.195.169 to 116.167.195.170116.167.195.1712
236116.167.195.172/30116.167.195.173 to 116.167.195.174116.167.195.1752
237116.167.195.176/30116.167.195.177 to 116.167.195.178116.167.195.1792
238116.167.195.180/30116.167.195.181 to 116.167.195.182116.167.195.1832
239116.167.195.184/30116.167.195.185 to 116.167.195.186116.167.195.1872
240116.167.195.188/30116.167.195.189 to 116.167.195.190116.167.195.1912
241116.167.195.192/30116.167.195.193 to 116.167.195.194116.167.195.1952
242116.167.195.196/30116.167.195.197 to 116.167.195.198116.167.195.1992
243116.167.195.200/30116.167.195.201 to 116.167.195.202116.167.195.2032
244116.167.195.204/30116.167.195.205 to 116.167.195.206116.167.195.2072
245116.167.195.208/30116.167.195.209 to 116.167.195.210116.167.195.2112
246116.167.195.212/30116.167.195.213 to 116.167.195.214116.167.195.2152
247116.167.195.216/30116.167.195.217 to 116.167.195.218116.167.195.2192
248116.167.195.220/30116.167.195.221 to 116.167.195.222116.167.195.2232
249116.167.195.224/30116.167.195.225 to 116.167.195.226116.167.195.2272
250116.167.195.228/30116.167.195.229 to 116.167.195.230116.167.195.2312
251116.167.195.232/30116.167.195.233 to 116.167.195.234116.167.195.2352
252116.167.195.236/30116.167.195.237 to 116.167.195.238116.167.195.2392
253116.167.195.240/30116.167.195.241 to 116.167.195.242116.167.195.2432
254116.167.195.244/30116.167.195.245 to 116.167.195.246116.167.195.2472
255116.167.195.248/30116.167.195.249 to 116.167.195.250116.167.195.2512
256116.167.195.252/30116.167.195.253 to 116.167.195.254116.167.195.2552

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses